From 595ac276322c056d093805dab9f559bad1234dd6 Mon Sep 17 00:00:00 2001
From: Jan Haller <bromeon@gmail.com>
Date: Oct 13 2020 20:48:08 +0000
Subject: [PATCH 1047/2232] Fix Windows symlink test to give reproducible error messages


After a `git clone -c core.symlinks=false` and `cargo test`, the script outputs a Git error as expected.
When running `cargo test` again, the error message changes to "symlink support needs to be enabled".

The test is done for an already existing directory, and the Windows mklink command _fails_ when the symlink exists already.
This commit deletes the link prior to the symlink creation.

---

diff --git a/tools/cargo/build.rs b/tools/cargo/build.rs
index f6ec026..6c9d22d 100644
--- a/tools/cargo/build.rs
+++ b/tools/cargo/build.rs
@@ -61,6 +61,7 @@ fn main() {
         let from_dir = parent_dir.join("from");
         let to_dir = parent_dir.join("to");
         if fs::create_dir_all(&from_dir).is_ok()
+            && fs::remove_dir(&to_dir).is_ok()
             && windows::symlink_dir(&from_dir, &to_dir).is_err()
         {
             message = DENIED;

